Upgrading your CMS (Drupal, Joomla, WordPress...) to PHP 7 or 7.1 on Plesk Onyx

Our latest shared servers and VPS with Plesk Onyx support PHP 7.0 and PHP 7.1

If you are planning on upgrading:
Check your CMS version before updating Plesk PHP to 7 or 7.1!

Because there are several incompatibilities with the last version of PHP. If you’re working with the three most used Open Source CMSs, the compatible versions are:

WordPress >= 4.7
Joomla! >= 3.6.4
Drupal >= 8.2.3

Some Plugins and modules may not be operational on PHP 7 or 7.1.0 so if you’re planning to migrate from 5.6 (or an earlier version) to to 7.0 or 7.1, proceed with caution.

We recommend making a copy of your site Using your Plesk Panel, and upgrade the copy to see if everything works OK before upgrading the live web site.

  • Add a Subdomain, such as dev.
  • Under the main domain:yourdomain.xxx Website&Domains-> Copy Site
  • Select destination: dev.

Once the site files are copied to: dev.yourdomain.xxx, you may have to make some changes to the CMS config to reflect the change of URL from yourdomain.xxx to dev.yourdomain.xxx.
After that , you can test upgrading your CMS and its plugins and test to see if everything is working.


Properties ID: 000495   Views: 41   Updated: 24 days ago
Filed under: